[arch-commits] Commit in perl-file-nfslock/repos (2 files)

Felix Yan felixonmars at archlinux.org
Fri Nov 9 21:16:29 UTC 2018


    Date: Friday, November 9, 2018 @ 21:16:29
  Author: felixonmars
Revision: 404578

archrelease: copy trunk to community-staging-any

Added:
  perl-file-nfslock/repos/community-staging-any/
  perl-file-nfslock/repos/community-staging-any/PKGBUILD
    (from rev 404577, perl-file-nfslock/trunk/PKGBUILD)

----------+
 PKGBUILD |   29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

Copied: perl-file-nfslock/repos/community-staging-any/PKGBUILD (from rev 404577, perl-file-nfslock/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2018-11-09 21:16:29 UTC (rev 404578)
@@ -0,0 +1,29 @@
+# This PKGBUILD was generated by cpan4pacman via CPANPLUS::Dist::Pacman
+# Maintainer: Chris Brannon <chris at the-brannons.com>
+# Contributor: François Charette <firmicus ατ gmx δοτ net>
+
+pkgname=perl-file-nfslock
+pkgver=1.27
+pkgrel=3
+pkgdesc="NFS compatible (safe) locking utility"
+arch=('any')
+url="http://search.cpan.org/dist/File-NFSLock"
+license=('GPL' 'PerlArtistic')
+depends=('perl>=5.10.0')
+options=('!emptydirs')
+source=(https://www.cpan.org/authors/id/B/BB/BBB/File-NFSLock-$pkgver.tar.gz) 
+sha256sums=('0f41d6cfeaa44987221b38e31fa6862933ccc390bb11037b5828f9b52a1b1042')
+
+build() {
+  cd  "$srcdir/File-NFSLock-$pkgver"
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1 
+  PERL_USE_UNSAFE_INC=1 \
+  make || return 1
+}
+
+package() {
+  cd  "$srcdir/File-NFSLock-$pkgver"
+  make install DESTDIR="$pkgdir" || return 1
+  find "$pkgdir" -name '.packlist' -delete
+  find "$pkgdir" -name '*.pod' -delete
+}


More information about the arch-commits mailing list